=begin
#Nodeum API

## About  This document describes the Nodeum API version 2:  If you are looking for any information about the product itself, reach the product website https://www.nodeum.io. You can also contact us at this email address : info@nodeum.io  # Filter parameters When browsing a list of items, multiple filter parameters may be applied. Some operators can be added to the value as a prefix:  - `=` value is equal. Default operator, may be omitted  - `!=` value is different  - `>` greater than  - `>=` greater than or equal  - `<` lower than  - `>=` lower than or equal  - `><` included in list, items should be separated by `|`  - `!><` not included in list, items should be separated by `|`  - `~` pattern matching, may include `%` (any characters) and `_` (one character)  - `!~` pattern not matching, may include `%` (any characters) and `_` (one character)  

The version of the OpenAPI document: 2.1.0

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.0

=end

require 'spec_helper'
require 'json'

# Unit tests for Nodeum::NasSharesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'NasSharesApi' do
  before do
    # run before each test
    @api_instance = Nodeum::NasSharesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of NasSharesApi' do
    it 'should create an instance of NasSharesApi' do
      expect(@api_instance).to be_instance_of(Nodeum::NasSharesApi)
    end
  end

  # unit tests for create_nas_share_by_nas
  # Creates a new NAS share.
  # **API Key Scope**: nas_shares / create
  # @param nas_id Numeric ID or name of NAS.
  # @param nas_share_body 
  # @param [Hash] opts the optional parameters
  # @return [NasShare]
  describe 'create_nas_share_by_nas test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for destroy_nas_share
  # Destroys a specific NAS share.
  # **API Key Scope**: nas_shares / destroy
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'destroy_nas_share test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for destroy_nas_share_by_nas
  # Destroys a specific NAS share.
  # **API Key Scope**: nas_shares / destroy
  # @param nas_id Numeric ID or name of NAS.
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'destroy_nas_share_by_nas test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for destroy_nas_share_by_pool
  # Destroys a specific NAS share.
  # **API Key Scope**: nas_shares / destroy
  # @param pool_id Numeric ID, or name of pool.
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'destroy_nas_share_by_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for index_nas_shares
  # Lists all NAS shares.
  # **API Key Scope**: nas_shares / index   Optional API Key Explicit Scope: nas_shares / get_password
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit The number of items to display for pagination.
  # @option opts [Integer] :offset The number of items to skip for pagination.
  # @option opts [Array<String>] :sort_by Sort results by attribute.  Can sort on multiple attributes, separated by &#x60;|&#x60;. Order direction can be suffixing the attribute by either &#x60;:asc&#x60; (default) or &#x60;:desc&#x60;.
  # @option opts [String] :id Filter on id
  # @option opts [String] :name Filter on name
  # @option opts [String] :path Filter on path
  # @option opts [String] :options Filter on options
  # @option opts [String] :username Filter on username
  # @option opts [String] :nas_id Filter on NAS id
  # @option opts [String] :pool_id Filter on a pool id
  # @return [NasShareCollection]
  describe 'index_nas_shares test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for index_nas_shares_by_nas
  # Lists all NAS shares.
  # **API Key Scope**: nas_shares / index   Optional API Key Explicit Scope: nas_shares / get_password
  # @param nas_id Numeric ID or name of NAS.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit The number of items to display for pagination.
  # @option opts [Integer] :offset The number of items to skip for pagination.
  # @option opts [Array<String>] :sort_by Sort results by attribute.  Can sort on multiple attributes, separated by &#x60;|&#x60;. Order direction can be suffixing the attribute by either &#x60;:asc&#x60; (default) or &#x60;:desc&#x60;.
  # @option opts [String] :id Filter on id
  # @option opts [String] :name Filter on name
  # @option opts [String] :path Filter on path
  # @option opts [String] :options Filter on options
  # @option opts [String] :username Filter on username
  # @option opts [String] :pool_id Filter on a pool id
  # @return [NasShareCollection]
  describe 'index_nas_shares_by_nas test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for index_nas_shares_by_pool
  # Lists all NAS shares from pool.
  # **API Key Scope**: nas_shares / index   Optional API Key Explicit Scope: nas_shares / get_password
  # @param pool_id Numeric ID, or name of pool.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit The number of items to display for pagination.
  # @option opts [Integer] :offset The number of items to skip for pagination.
  # @option opts [Array<String>] :sort_by Sort results by attribute.  Can sort on multiple attributes, separated by &#x60;|&#x60;. Order direction can be suffixing the attribute by either &#x60;:asc&#x60; (default) or &#x60;:desc&#x60;.
  # @option opts [String] :id Filter on id
  # @option opts [String] :name Filter on name
  # @option opts [String] :path Filter on path
  # @option opts [String] :options Filter on options
  # @option opts [String] :username Filter on username
  # @option opts [String] :nas_id Filter on NAS id
  # @return [NasShareCollection]
  describe 'index_nas_shares_by_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for mount_status_nas_share
  # Get mount status of NAS Share.
  # **API Key Scope**: nas_shares / mount_status
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param [Hash] opts the optional parameters
  # @return [MountStatus]
  describe 'mount_status_nas_share test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for mount_status_nas_share_by_nas
  # Get mount status of NAS Share.
  # **API Key Scope**: nas_shares / mount_status
  # @param nas_id Numeric ID or name of NAS.
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param [Hash] opts the optional parameters
  # @return [MountStatus]
  describe 'mount_status_nas_share_by_nas test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for mount_status_nas_share_by_pool
  # Get mount status of NAS Share.
  # **API Key Scope**: nas_shares / mount_status
  # @param pool_id Numeric ID, or name of pool.
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param [Hash] opts the optional parameters
  # @return [MountStatus]
  describe 'mount_status_nas_share_by_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for show_nas_share
  # Displays a specific NAS share.
  # **API Key Scope**: nas_shares / show   Optional API Key Explicit Scope: nas_shares / get_password
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param [Hash] opts the optional parameters
  # @return [NasShare]
  describe 'show_nas_share test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for show_nas_share_by_nas
  # Displays a specific NAS share.
  # **API Key Scope**: nas_shares / show   Optional API Key Explicit Scope: nas_shares / get_password
  # @param nas_id Numeric ID or name of NAS.
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param [Hash] opts the optional parameters
  # @return [NasShare]
  describe 'show_nas_share_by_nas test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for show_nas_share_by_pool
  # Displays a specific NAS share.
  # **API Key Scope**: nas_shares / show   Optional API Key Explicit Scope: nas_shares / get_password
  # @param pool_id Numeric ID, or name of pool.
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param [Hash] opts the optional parameters
  # @return [NasShare]
  describe 'show_nas_share_by_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for test_nas_share
  # Test an unsaved NAS Share.
  # **API Key Scope**: nas_shares / test
  # @param nas_id Numeric ID or name of NAS.
  # @param nas_share_body 
  # @param [Hash] opts the optional parameters
  # @return [ActiveJobStatus]
  describe 'test_nas_share test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for test_result_nas_share
  # Check result of a NAS Share test job.
  # **API Key Scope**: nas_shares / test
  # @param nas_id Numeric ID or name of NAS.
  # @param job_id ID of active job
  # @param [Hash] opts the optional parameters
  # @return [ActiveJobStatus]
  describe 'test_result_nas_share test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_nas_share
  # Updates a specific NAS share.
  # **API Key Scope**: nas_shares / update
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param nas_share_body 
  # @param [Hash] opts the optional parameters
  # @return [NasShare]
  describe 'update_nas_share test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_nas_share_by_nas
  # Updates a specific NAS share.
  # **API Key Scope**: nas_shares / update
  # @param nas_id Numeric ID or name of NAS.
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param nas_share_body 
  # @param [Hash] opts the optional parameters
  # @return [NasShare]
  describe 'update_nas_share_by_nas test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_nas_share_by_pool
  # Updates a specific NAS share.
  # **API Key Scope**: nas_shares / update
  # @param pool_id Numeric ID, or name of pool.
  # @param nas_share_id Numeric ID or name of NAS share.
  # @param nas_share_body 
  # @param [Hash] opts the optional parameters
  # @return [NasShare]
  describe 'update_nas_share_by_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
