=begin
#Nodeum API

## About  This document describes the Nodeum API version 2:  If you are looking for any information about the product itself, reach the product website https://www.nodeum.io. You can also contact us at this email address : info@nodeum.io  # Filter parameters When browsing a list of items, multiple filter parameters may be applied. Some operators can be added to the value as a prefix:  - `=` value is equal. Default operator, may be omitted  - `!=` value is different  - `>` greater than  - `>=` greater than or equal  - `<` lower than  - `>=` lower than or equal  - `><` included in list, items should be separated by `|`  - `!><` not included in list, items should be separated by `|`  - `~` pattern matching, may include `%` (any characters) and `_` (one character)  - `!~` pattern not matching, may include `%` (any characters) and `_` (one character)  

The version of the OpenAPI document: 2.1.0

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.0

=end

require 'spec_helper'
require 'json'

# Unit tests for Nodeum::PoolsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'PoolsApi' do
  before do
    # run before each test
    @api_instance = Nodeum::PoolsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PoolsApi' do
    it 'should create an instance of PoolsApi' do
      expect(@api_instance).to be_instance_of(Nodeum::PoolsApi)
    end
  end

  # unit tests for create_pool
  # Creates a new pool.
  # **API Key Scope**: pools / create
  # @param pool_body 
  # @param [Hash] opts the optional parameters
  # @return [Pool]
  describe 'create_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_primary_scan
  # Set a new primary pool scan option.
  # **API Key Scope**: primary_scans / create
  # @param pool_id Numeric ID, or name of pool.
  # @param primary_scan_body 
  # @param [Hash] opts the optional parameters
  # @return [PrimaryScan]
  describe 'create_primary_scan test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for destroy_pool
  # Destroys a specific tape pool.
  # **API Key Scope**: pools / destroy
  # @param pool_id Numeric ID, or name of pool.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'destroy_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for destroy_primary_scan
  # Disable the primary pool scan.
  # **API Key Scope**: primary_scans / destroy
  # @param pool_id Numeric ID, or name of pool.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'destroy_primary_scan test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for index_pools
  # Lists all pools.
  # **API Key Scope**: pools / index
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit The number of items to display for pagination.
  # @option opts [Integer] :offset The number of items to skip for pagination.
  # @option opts [Array<String>] :sort_by Sort results by attribute.  Can sort on multiple attributes, separated by &#x60;|&#x60;. Order direction can be suffixing the attribute by either &#x60;:asc&#x60; (default) or &#x60;:desc&#x60;.
  # @option opts [String] :id Filter on id
  # @option opts [String] :name Filter on name
  # @option opts [String] :comment Filter on comment
  # @option opts [String] :type Filter on type
  # @option opts [String] :content Filter on content
  # @option opts [String] :primary_id Filter on primary id
  # @return [PoolCollection]
  describe 'index_pools test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for mount_pool
  # Mount Pool.
  # **API Key Scope**: pools / mount
  # @param pool_id Numeric ID, or name of pool.
  # @param [Hash] opts the optional parameters
  # @return [MountStatus]
  describe 'mount_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for mount_status_pool
  # Get mount status of Pool.
  # **API Key Scope**: pools / mount_status
  # @param pool_id Numeric ID, or name of pool.
  # @param [Hash] opts the optional parameters
  # @return [MountStatus]
  describe 'mount_status_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for show_pool
  # Displays a specific pool.
  # **API Key Scope**: pools / show
  # @param pool_id Numeric ID, or name of pool.
  # @param [Hash] opts the optional parameters
  # @return [Pool]
  describe 'show_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for show_primary_scan
  # Displays the primary pool scan status.
  # **API Key Scope**: primary_scans / show
  # @param pool_id Numeric ID, or name of pool.
  # @param [Hash] opts the optional parameters
  # @return [PrimaryScan]
  describe 'show_primary_scan test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for sync_primary_pool
  # Synchronize a primary after a scan (for internal use only).
  # **API Key Scope**: pools / sync_primary
  # @param pool_id Numeric ID, or name of pool.
  # @param tx New transaction number.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'sync_primary_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unmount_pool
  # Unmount Pool.
  # **API Key Scope**: pools / unmount
  # @param pool_id Numeric ID, or name of pool.
  # @param [Hash] opts the optional parameters
  # @return [MountStatus]
  describe 'unmount_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_pool
  # Updates a specific pool.
  # **API Key Scope**: pools / update
  # @param pool_id Numeric ID, or name of pool.
  # @param pool_body 
  # @param [Hash] opts the optional parameters
  # @return [Pool]
  describe 'update_pool test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_primary_scan
  # Updates the existing primary pool scan option.
  # **API Key Scope**: primary_scans / update
  # @param pool_id Numeric ID, or name of pool.
  # @param primary_scan_body 
  # @param [Hash] opts the optional parameters
  # @return [PrimaryScan]
  describe 'update_primary_scan test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
