=begin
#Nodeum API

## About  This document describes the Nodeum API version 2:  If you are looking for any information about the product itself, reach the product website https://www.nodeum.io. You can also contact us at this email address : info@nodeum.io  # Filter parameters When browsing a list of items, multiple filter parameters may be applied. Some operators can be added to the value as a prefix:  - `=` value is equal. Default operator, may be omitted  - `!=` value is different  - `>` greater than  - `>=` greater than or equal  - `<` lower than  - `>=` lower than or equal  - `><` included in list, items should be separated by `|`  - `!><` not included in list, items should be separated by `|`  - `~` pattern matching, may include `%` (any characters) and `_` (one character)  - `!~` pattern not matching, may include `%` (any characters) and `_` (one character)  

The version of the OpenAPI document: 2.1.0

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.0

=end

require 'spec_helper'
require 'json'

# Unit tests for Nodeum::TapeDrivesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'TapeDrivesApi' do
  before do
    # run before each test
    @api_instance = Nodeum::TapeDrivesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TapeDrivesApi' do
    it 'should create an instance of TapeDrivesApi' do
      expect(@api_instance).to be_instance_of(Nodeum::TapeDrivesApi)
    end
  end

  # unit tests for create_tape_drive_by_tape_library
  # Creates a new tape drive.
  # **API Key Scope**: tape_drives / create
  # @param tape_library_id Numeric ID, serial, or name of tape library.
  # @param tape_drive_body 
  # @param [Hash] opts the optional parameters
  # @return [TapeDrive]
  describe 'create_tape_drive_by_tape_library test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for destroy_tape_drive
  # Destroys a specific tape drive.
  # **API Key Scope**: tape_drives / destroy
  # @param tape_drive_id Numeric ID, serial, or name of tape drive.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'destroy_tape_drive test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for destroy_tape_drive_by_tape_library
  # Destroys a specific tape drive.
  # **API Key Scope**: tape_drives / destroy
  # @param tape_library_id Numeric ID, serial, or name of tape library.
  # @param tape_drive_id Numeric ID, serial, or name of tape drive.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'destroy_tape_drive_by_tape_library test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for index_tape_drive_devices
  # Lists tape drives devices.
  # **API Key Scope**: tape_drives / devices
  # @param tape_library_id Numeric ID, serial, or name of tape library.
  # @param job_id ID of active job
  # @param [Hash] opts the optional parameters
  # @return [TapeDriveDeviceCollection]
  describe 'index_tape_drive_devices test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for index_tape_drives
  # Lists all tape drives.
  # **API Key Scope**: tape_drives / index
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit The number of items to display for pagination.
  # @option opts [Integer] :offset The number of items to skip for pagination.
  # @option opts [Array<String>] :sort_by Sort results by attribute.  Can sort on multiple attributes, separated by &#x60;|&#x60;. Order direction can be suffixing the attribute by either &#x60;:asc&#x60; (default) or &#x60;:desc&#x60;.
  # @option opts [String] :id Filter on id
  # @option opts [String] :tape_library_id Filter on tape library id
  # @option opts [String] :name Filter on name
  # @option opts [String] :serial Filter on serial
  # @option opts [String] :comment Filter on comment
  # @option opts [String] :scsi_address Filter on scsi address
  # @option opts [String] :vendor Filter on vendor
  # @option opts [String] :product Filter on product
  # @option opts [String] :firmware Filter on firmware
  # @option opts [String] :device Filter on device
  # @option opts [String] :sgdevice Filter on sgdevice
  # @option opts [String] :libso Filter on libso
  # @option opts [String] :acs Filter on acs
  # @option opts [String] :lsm Filter on lsm
  # @option opts [String] :panel Filter on panel
  # @option opts [String] :transport Filter on transport
  # @option opts [String] :status Filter on status
  # @option opts [String] :full Filter on full
  # @option opts [String] :mount_count Filter on mount count
  # @option opts [String] :use_to Filter on use to
  # @option opts [String] :use_by Filter on use by
  # @option opts [String] :barcode Filter on barcode
  # @option opts [String] :task_id Filter on task id
  # @option opts [String] :use_file_processed_size Filter on use file processed size
  # @option opts [String] :use_file_size_to_process Filter on use file size to process
  # @option opts [String] :use_file_name_processed Filter on use file name processed
  # @option opts [String] :bandwidth Filter on bandwidth
  # @return [TapeDriveCollection]
  describe 'index_tape_drives test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for index_tape_drives_by_tape_library
  # Lists all tape drives.
  # **API Key Scope**: tape_drives / index
  # @param tape_library_id Numeric ID, serial, or name of tape library.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit The number of items to display for pagination.
  # @option opts [Integer] :offset The number of items to skip for pagination.
  # @option opts [Array<String>] :sort_by Sort results by attribute.  Can sort on multiple attributes, separated by &#x60;|&#x60;. Order direction can be suffixing the attribute by either &#x60;:asc&#x60; (default) or &#x60;:desc&#x60;.
  # @option opts [String] :id Filter on id
  # @option opts [String] :name Filter on name
  # @option opts [String] :serial Filter on serial
  # @option opts [String] :comment Filter on comment
  # @option opts [String] :scsi_address Filter on scsi address
  # @option opts [String] :vendor Filter on vendor
  # @option opts [String] :product Filter on product
  # @option opts [String] :firmware Filter on firmware
  # @option opts [String] :device Filter on device
  # @option opts [String] :sgdevice Filter on sgdevice
  # @option opts [String] :libso Filter on libso
  # @option opts [String] :acs Filter on acs
  # @option opts [String] :lsm Filter on lsm
  # @option opts [String] :panel Filter on panel
  # @option opts [String] :transport Filter on transport
  # @option opts [String] :status Filter on status
  # @option opts [String] :full Filter on full
  # @option opts [String] :mount_count Filter on mount count
  # @option opts [String] :use_to Filter on use to
  # @option opts [String] :use_by Filter on use by
  # @option opts [String] :barcode Filter on barcode
  # @option opts [String] :task_id Filter on task id
  # @option opts [String] :use_file_processed_size Filter on use file processed size
  # @option opts [String] :use_file_size_to_process Filter on use file size to process
  # @option opts [String] :use_file_name_processed Filter on use file name processed
  # @option opts [String] :bandwidth Filter on bandwidth
  # @return [TapeDriveCollection]
  describe 'index_tape_drives_by_tape_library test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for show_tape_drive
  # Displays a specific tape drive.
  # **API Key Scope**: tape_drives / show
  # @param tape_drive_id Numeric ID, serial, or name of tape drive.
  # @param [Hash] opts the optional parameters
  # @return [TapeDrive]
  describe 'show_tape_drive test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for show_tape_drive_by_tape_library
  # Displays a specific tape drive.
  # **API Key Scope**: tape_drives / show
  # @param tape_library_id Numeric ID, serial, or name of tape library.
  # @param tape_drive_id Numeric ID, serial, or name of tape drive.
  # @param [Hash] opts the optional parameters
  # @return [TapeDrive]
  describe 'show_tape_drive_by_tape_library test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_tape_drive
  # Updates a specific tape drive.
  # **API Key Scope**: tape_drives / update
  # @param tape_drive_id Numeric ID, serial, or name of tape drive.
  # @param tape_drive_body 
  # @param [Hash] opts the optional parameters
  # @return [TapeDrive]
  describe 'update_tape_drive test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_tape_drive_by_tape_library
  # Updates a specific tape drive.
  # **API Key Scope**: tape_drives / update
  # @param tape_library_id Numeric ID, serial, or name of tape library.
  # @param tape_drive_id Numeric ID, serial, or name of tape drive.
  # @param tape_drive_body 
  # @param [Hash] opts the optional parameters
  # @return [TapeDrive]
  describe 'update_tape_drive_by_tape_library test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
