=begin
#Nodeum API

## About  This document describes the Nodeum API version 2:  If you are looking for any information about the product itself, reach the product website https://www.nodeum.io. You can also contact us at this email address : info@nodeum.io  # Filter parameters When browsing a list of items, multiple filter parameters may be applied. Some operators can be added to the value as a prefix:  - `=` value is equal. Default operator, may be omitted  - `!=` value is different  - `>` greater than  - `>=` greater than or equal  - `<` lower than  - `>=` lower than or equal  - `><` included in list, items should be separated by `|`  - `!><` not included in list, items should be separated by `|`  - `~` pattern matching, may include `%` (any characters) and `_` (one character)  - `!~` pattern not matching, may include `%` (any characters) and `_` (one character)  

The version of the OpenAPI document: 2.1.0

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.0

=end

require 'spec_helper'
require 'json'

# Unit tests for Nodeum::TapeLibrariesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'TapeLibrariesApi' do
  before do
    # run before each test
    @api_instance = Nodeum::TapeLibrariesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TapeLibrariesApi' do
    it 'should create an instance of TapeLibrariesApi' do
      expect(@api_instance).to be_instance_of(Nodeum::TapeLibrariesApi)
    end
  end

  # unit tests for create_tape_library
  # Creates a new tape library.
  # **API Key Scope**: tape_libraries / create
  # @param tape_library_body 
  # @param [Hash] opts the optional parameters
  # @return [TapeLibrary]
  describe 'create_tape_library test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for destroy_tape_library
  # Destroys a specific tape library.
  # **API Key Scope**: tape_libraries / destroy
  # @param tape_library_id Numeric ID, serial, or name of tape library.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'destroy_tape_library test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for index_tape_libraries
  # Lists all tape libraries.
  # **API Key Scope**: tape_libraries / index
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit The number of items to display for pagination.
  # @option opts [Integer] :offset The number of items to skip for pagination.
  # @option opts [Array<String>] :sort_by Sort results by attribute.  Can sort on multiple attributes, separated by &#x60;|&#x60;. Order direction can be suffixing the attribute by either &#x60;:asc&#x60; (default) or &#x60;:desc&#x60;.
  # @option opts [String] :id Filter on id
  # @option opts [String] :name Filter on name
  # @option opts [String] :serial Filter on serial
  # @option opts [String] :comment Filter on comment
  # @option opts [String] :protocol Filter on protocol
  # @option opts [String] :vendor Filter on vendor
  # @option opts [String] :product Filter on product
  # @option opts [String] :firmware Filter on firmware
  # @option opts [String] :device Filter on device
  # @option opts [String] :libso Filter on libso
  # @option opts [String] :acs Filter on acs
  # @option opts [String] :status Filter on status
  # @option opts [String] :storage_slots Filter on storage slots
  # @option opts [String] :storage_slots_address Filter on storage slots address
  # @option opts [String] :io_slots Filter on io slots
  # @option opts [String] :io_slots_address Filter on io slots address
  # @option opts [String] :price Filter on price
  # @return [TapeLibraryCollection]
  describe 'index_tape_libraries test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for index_tape_library_devices
  # Lists tape libraries devices.
  # **API Key Scope**: tape_libraries / devices
  # @param job_id ID of active job
  # @param [Hash] opts the optional parameters
  # @return [TapeLibraryDeviceCollection]
  describe 'index_tape_library_devices test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for show_tape_library
  # Displays a specific tape library.
  # **API Key Scope**: tape_libraries / show
  # @param tape_library_id Numeric ID, serial, or name of tape library.
  # @param [Hash] opts the optional parameters
  # @return [TapeLibrary]
  describe 'show_tape_library test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_tape_library
  # Updates a specific tape library.
  # **API Key Scope**: tape_libraries / update
  # @param tape_library_id Numeric ID, serial, or name of tape library.
  # @param tape_library_body 
  # @param [Hash] opts the optional parameters
  # @return [TapeLibrary]
  describe 'update_tape_library test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
