=begin
#Nodeum API

## About  This document describes the Nodeum API version 2:  If you are looking for any information about the product itself, reach the product website https://www.nodeum.io. You can also contact us at this email address : info@nodeum.io  # Filter parameters When browsing a list of items, multiple filter parameters may be applied. Some operators can be added to the value as a prefix:  - `=` value is equal. Default operator, may be omitted  - `!=` value is different  - `>` greater than  - `>=` greater than or equal  - `<` lower than  - `>=` lower than or equal  - `><` included in list, items should be separated by `|`  - `!><` not included in list, items should be separated by `|`  - `~` pattern matching, may include `%` (any characters) and `_` (one character)  - `!~` pattern not matching, may include `%` (any characters) and `_` (one character)  

The version of the OpenAPI document: 2.1.0

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.0

=end

require 'spec_helper'
require 'json'

# Unit tests for Nodeum::TasksApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'TasksApi' do
  before do
    # run before each test
    @api_instance = Nodeum::TasksApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TasksApi' do
    it 'should create an instance of TasksApi' do
      expect(@api_instance).to be_instance_of(Nodeum::TasksApi)
    end
  end

  # unit tests for create_task
  # Creates a new task.
  # **API Key Scope**: tasks / create 
  # @param task_body 
  # @param [Hash] opts the optional parameters
  # @return [Task]
  describe 'create_task test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for destroy_task
  # Destroys a specific task.
  # **API Key Scope**: tasks / destroy
  # @param task_id Numeric ID or name of task. Task names are not unique, it&#39;s recommanded to use numeric ID.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'destroy_task test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for index_tasks
  # Lists all tasks.
  # **API Key Scope**: tasks / index
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit The number of items to display for pagination.
  # @option opts [Integer] :offset The number of items to skip for pagination.
  # @option opts [Array<String>] :sort_by Sort results by attribute.  Can sort on multiple attributes, separated by &#x60;|&#x60;. Order direction can be suffixing the attribute by either &#x60;:asc&#x60; (default) or &#x60;:desc&#x60;.
  # @option opts [String] :id Filter on id
  # @option opts [String] :name Filter on name
  # @option opts [String] :comment Filter on comment
  # @option opts [String] :workflow_type Filter on task workflow type
  # @option opts [String] :workflow_action Filter on task workflow action
  # @option opts [String] :source_type Filter on task source type
  # @option opts [String] :destination_type Filter on task destination type
  # @option opts [String] :priority Filter on priority
  # @option opts [String] :conflict_resolution Filter on conflict resolution
  # @option opts [String] :action Filter on action
  # @option opts [String] :activate Filter on activate
  # @option opts [String] :creation_date Filter on creation date
  # @option opts [String] :creation_username Filter on creation username
  # @option opts [String] :modification_date Filter on modification date
  # @option opts [String] :modification_username Filter on modification username
  # @option opts [String] :job_started Filter on job started
  # @option opts [String] :job_finished Filter on job finished
  # @option opts [String] :status Filter on status
  # @option opts [String] :processed_size Filter on processed size
  # @option opts [String] :to_process_size Filter on to process size
  # @option opts [String] :source_pool_id Filter on task source pool id
  # @option opts [String] :source_pool_name Filter on task source pool name
  # @option opts [String] :source_tape_id Filter on task source tape id
  # @option opts [String] :source_tape_barcode Filter on task source tape barcode
  # @option opts [String] :destination_pool_id Filter on task destination pool id
  # @option opts [String] :destination_pool_name Filter on task destination pool name
  # @option opts [String] :destination_tape_id Filter on task destination tape id
  # @option opts [String] :destination_tape_barcode Filter on task destination tape barcode
  # @return [TaskCollection]
  describe 'index_tasks test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for pause_task
  # Pause a task.
  # **API Key Scope**: tasks / action
  # @param task_id Numeric ID or name of task. Task names are not unique, it&#39;s recommanded to use numeric ID.
  # @param [Hash] opts the optional parameters
  # @return [ActiveJobStatus]
  describe 'pause_task test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for pause_task_result
  # Check result of a task pause request.
  # **API Key Scope**: tasks / action
  # @param task_id Numeric ID or name of task. Task names are not unique, it&#39;s recommanded to use numeric ID.
  # @param job_id ID of active job
  # @param [Hash] opts the optional parameters
  # @return [ActiveJobStatus]
  describe 'pause_task_result test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for resume_task
  # Resume a task.
  # **API Key Scope**: tasks / action
  # @param task_id Numeric ID or name of task. Task names are not unique, it&#39;s recommanded to use numeric ID.
  # @param [Hash] opts the optional parameters
  # @return [ActiveJobStatus]
  describe 'resume_task test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for resume_task_result
  # Check result of a task resume request.
  # **API Key Scope**: tasks / action
  # @param task_id Numeric ID or name of task. Task names are not unique, it&#39;s recommanded to use numeric ID.
  # @param job_id ID of active job
  # @param [Hash] opts the optional parameters
  # @return [ActiveJobStatus]
  describe 'resume_task_result test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for run_task
  # Run a task.
  # **API Key Scope**: tasks / action
  # @param task_id Numeric ID or name of task. Task names are not unique, it&#39;s recommanded to use numeric ID.
  # @param [Hash] opts the optional parameters
  # @return [ActiveJobStatus]
  describe 'run_task test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for run_task_result
  # Check result of a task run request.
  # **API Key Scope**: tasks / action
  # @param task_id Numeric ID or name of task. Task names are not unique, it&#39;s recommanded to use numeric ID.
  # @param job_id ID of active job
  # @param [Hash] opts the optional parameters
  # @return [ActiveJobStatus]
  describe 'run_task_result test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for show_task
  # Displays a specific task.
  # **API Key Scope**: tasks / show
  # @param task_id Numeric ID or name of task. Task names are not unique, it&#39;s recommanded to use numeric ID.
  # @param [Hash] opts the optional parameters
  # @return [Task]
  describe 'show_task test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for stop_task
  # Stop a task.
  # **API Key Scope**: tasks / action
  # @param task_id Numeric ID or name of task. Task names are not unique, it&#39;s recommanded to use numeric ID.
  # @param [Hash] opts the optional parameters
  # @return [ActiveJobStatus]
  describe 'stop_task test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for stop_task_result
  # Check result of a task stop request.
  # **API Key Scope**: tasks / action
  # @param task_id Numeric ID or name of task. Task names are not unique, it&#39;s recommanded to use numeric ID.
  # @param job_id ID of active job
  # @param [Hash] opts the optional parameters
  # @return [ActiveJobStatus]
  describe 'stop_task_result test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_task
  # Updates a specific task.
  # **API Key Scope**: tasks / update
  # @param task_id Numeric ID or name of task. Task names are not unique, it&#39;s recommanded to use numeric ID.
  # @param task_body 
  # @param [Hash] opts the optional parameters
  # @return [Task]
  describe 'update_task test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
